## libpeerhood 0.1.0-maemo1

=== Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

# top Makefile

include MakeCommonDefs.mk

## Directories to build. Order is important, and should reflect the 
## dependences between modules.
## You can control here which modules are applied into build. 
DIRS += libpeerhood 
DIRS += peerhoodd
DIRS += plugin-local
#DIRS += plugin-gprs
#DIRS += GPRSgw
DIRS += plugin-bt
DIRS += plugin-wlan

DIRS += plugin-listener-bluez-bt

ifeq ($(BUILD_ENV), n900)
DIRS += plugin-listener-maemo-system
DIRS += plugin-listener-maemo-wlan
endif

ifeq ($(BUILD_ENV), n810)
DIRS += plugin-listener-maemo-bt
DIRS += plugin-listener-maemo-system
DIRS += plugin-listener-maemo-wlan
endif
 
DIRS += proto-client-new
DIRS += proto-client-roam
DIRS += proto-service2
DIRS += proto-service3
DIRS += proto-service4
DIRS += proto-service-moi
DIRS += ph-testclient-c-wrapper
DIRS += devel-common


##############################################################################
## target dispatching
all: build

help:
	@for i in $(DIRS); do $(MAKE) -s -C $$i $@ || exit 1; done

build:
	for i in $(DIRS); do $(MAKE) -C $$i $@ || exit 1; done

ifeq ($(BUILD_DEB_PACKET), y)
	#@if [ -d $(debdir) ] ; then rm -rf $(debdir) ; fi
	
	@install -D -s -m 755 `echo $(resultbindir)|cut -d/ -f2,3`/peerhoodd $(debbin)/peerhoodd
	
	@for instlib in `echo $(resultlibdir)|cut -d/ -f2,3|xargs ls|grep $(libproject)-`; \
	do install -D -s -m 644 `echo $(resultlibdir)|cut -d/ -f2,3`/$$instlib $(debphlib)/$$instlib ; \
	done
	
	@install -s -m 644 `echo $(resultlibdir)|cut -d/ -f2,3`/$(libproject).so $(deblib)/$(libproject).so.$(version)
	
	@ln -fs $(libproject).so.$(version) $(deblib)/$(libproject).so
	
	@for instincl in `echo $(resultincludedir)|cut -d/ -f2,3,4|xargs ls`; \
	do install -D -m 644 `echo $(resultincludedir)|cut -d/ -f2,3,4`/$$instincl $(debinclude)/$$instincl ; \
	done
	
	@install -D -m 644 $(configfile) $(debshare)/$(configfile)
	
	@$(MKDIR) $(debman)
	
	#@install -D -m 755 $(debmat)/$(debcontrol_postinst) $(debctrl)/postinst
	
	#@fakeroot dpkg-deb --build $(debdir) $(debfile)
endif

clean:
	for i in $(DIRS); do $(MAKE) -C $$i $@ || exit 1; done

install:
	@install -v -s -m 644 `echo $(resultlibdir)|cut -d/ -f2,3`/$(libproject).so $(libdir)/$(libproject).so.$(version)
	@ln -vfs $(libdir)/$(libproject).so.$(version) $(libdir)/$(libproject).so
	
	@for instlib in `echo $(resultlibdir)|cut -d/ -f2,3|xargs ls|grep $(libproject)-`; \
	do install -v -D -s -m 644 `echo $(resultlibdir)|cut -d/ -f2,3`/$$instlib $(libphdir)/$$instlib ; \
	done
	
	@install -v -s -m 755 `echo $(resultbindir)|cut -d/ -f2,3`/peerhoodd $(bindir)/
	
	@for instincl in `echo $(resultincludedir)|cut -d/ -f2,3,4|xargs ls`; \
	do install -v -D -m 644 `echo $(resultincludedir)|cut -d/ -f2,3,4`/$$instincl $(includedir)/$$instincl ; \
	done
	
	@ldconfig
	
	@if [ ! -f /root/$(configfile) ] ; then install -v -m 644 $(configfile) /root/$(configfile) ; fi

check: 
	for i in $(DIRS); do $(MAKE) -C $$i $@ || exit 1; done

##############################################################################

#ifeq (MakeVars, $(wildcard MakeVars))
#include MakeVars
#else
#config:
#	@echo "Build is not configured, running 'configure' first..."
#	@./configure
#	make
#endif

=== libpeerhood/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## libpeerhood/ Makefile
## * so library version numbers are forgotten as this phase as peerhood
##   does not have a version yet

# TODO: Make specific public include file list, not all includes are public.

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = libpeerhood
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
INCS = $(wildcard *.h)
# public includes
PINCS = $(addprefix $(resultincludedir)/,$(INCS))
LDFLAGS = $(PTHREAD.lib)
libname = libpeerhood.so
libpeerhood = $(resultlibdir)/$(libname) 
LIBRARY = $(libpeerhood)
LDFLAGS += $(DBUS.lib)
CPPFLAGS += `pkg-config --cflags dbus-glib-1`


## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules
build-pre:: $(PINCS)

build-do:: $(libpeerhood)

clean-do::
	rm -f $(OBJS) $(PINCS) $(LIBRARY)

$(LIBRARY): $(OBJS)
	$(MKDIR) $(dir $@)
	$(CXX) $(LDFLAGS) -shared -Wl,-soname,$(libname) -o $@ $(OBJS)

=== plugin-gprs/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

# plugin-gprs/ Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = plugin-gprs
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
INCS = GPRSDevice.h
# public includes
PINCS = $(addprefix $(resultincludedir)/,$(INCS))
PLUGIN_LOCAL.lib = -lpeerhood-local-plugin
LDFLAGS += $(PEERHOOD.lib) $(PTHREAD.lib) $(PLUGIN_LOCAL.lib) 
libname = libpeerhood-gprs-plugin.so
libbtplugin = $(resultlibdir)/$(libname) 
PLUGIN = $(libbtplugin)

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules
build-pre:: $(PINCS)

build-do:: $(PLUGIN)

clean-do::
	rm -f $(OBJS) $(PLUGIN) $(PINCS)

$(PLUGIN): $(OBJS)
	$(MKDIR) $(dir $@)
	$(CXX) $(LDFLAGS) -g -shared -Wl,-soname,$(libname) -o $@ $(OBJS)

=== proto-service-moi/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## proto-service-moi/ module Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = proto-service-moi
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
LDFLAGS += $(PTHREAD.lib) $(DL.lib) $(PEERHOOD.lib)
PROGRAM = $(resultbindir)/$(MODULE)

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

build-do:: $(PROGRAM)

clean-do::
	rm -f $(OBJS) $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) -rdynamic -o $@

=== debian/changelog ===
libpeerhood (0.1.0-maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon,  24 May 2010 18:49:08 +0200

libpeerhood (0.1.0) unstable; urgency=low

  * Initial debian of PeerHood for i386. No sources inside deb.
  * Sources: https://www2.it.lut.fi/svn/public/peerhood/trunk/PeerHood_core


 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Wed, 31 Mar 2010 12:29:00 +0200

=== debian/control ===
Source: libpeerhood
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), libbluetooth3-dev, libdbus-glib-1-dev, mce-dev, icd2-osso-ic-dev, maemo-cplusplus-env
Standards-Version: 3.7.2
Section: libs
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=jammo

Package: libpeerhood-0-dev
Section: libdevel
Architecture: any
Depends: libpeerhood-0 (= ${Source-Version})
Description: PeerHood is PeerToPeer communication library
 Provides a daemon utilizing different plugins for searching devices from
 network neighborhood, connecting to services on remote neighbouring devices
 and maintaining connections between connected devices. Provides also a
 library for applications which is used to retrieve information from daemon
 about surrounding devices.
 .
 This is an unstable pre-release.
 This package contains development files.

Package: libpeerhood-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PeerHood is PeerToPeer communication library
 Provides a daemon utilizing different plugins for searching devices from
 network neighborhood, connecting to services on remote neighbouring devices
 and maintaining connections between connected devices. Provides also a
 library for applications which is used to retrieve information from daemon
 about surrounding devices.
 .
 This is an unstable pre-release.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	

	$(MAKE) BUILD_ENV=n900
	#$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	#binary
	install -d $(CURDIR)/debian/libpeerhood-0/usr/bin
	cp $(CURDIR)/result/bin/peerhoodd $(CURDIR)/debian/libpeerhood-0/usr/bin

	#library
	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib
	cp $(CURDIR)/result/lib/*.so $(CURDIR)/debian/libpeerhood-0/usr/lib

	#headers
	install -d $(CURDIR)/debian/libpeerhood-0-dev/usr/include/peerhood
	cp $(CURDIR)/result/include/peerhood/*.h $(CURDIR)/debian/libpeerhood-0-dev/usr/include/peerhood

	#install -d $(CURDIR)/debian/libpeerhood-0/usr/lib
	#cp $(CURDIR)/result/lib/*.so $(CURDIR)/debian/libpeerhood-0/usr/lib

	
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=$(CURDIR)/debian/tmp
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libpeerhood 0.1.1-maemo1

=== devel-common/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## devel-common/ Makefile 

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = devel-common
MODULEDIR = $(BUILDDIR)/$(MODULE)

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

# Print help about targets
help-pre::
	@echo "Make targets:"
	@echo "  build        - build all"
	@echo "  clean        - clean results"
	@echo "  install      - install results"
	@echo "  check        - run test cases [no impl]"
	@echo "  help         - this help [default]"
	@echo "  "

=== peerhoodd/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## peedhoodd/ module Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = peerhoodd
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)

OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
INCS = $(wildcard *.h)
PINCS = $(addprefix $(resultincludedir)/,$(INCS))
LDFLAGS += -L$(resultlibdir) -ldl -lpthread -lbluetooth -lpeerhood
PROGRAM = $(resultbindir)/$(MODULE)

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

build-pre:: $(PINCS) 

build-do:: $(PROGRAM)

clean-do::
	rm -f $(OBJS) $(PROGRAM) $(PINCS)

$(PROGRAM): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) -rdynamic -o $@

=== ph-testclient-c-wrapper/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## proto-client-new/ module Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = ph-testclient-c-wrapper
MODULEDIR = $(BUILDDIR)/$(MODULE)
CXX = gcc
SRCS = $(wildcard *.c)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.c=%.o))
CXXFLAGS += -lstdc++ 
LDFLAGS += $(PTHREAD.lib) $(DL.lib) $(PEERHOOD.lib) -lstdc++
PROGRAM = $(resultbindir)/$(MODULE)

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules
build-pre:: 
	$(CXX) $(CXXFLAGS) -fPIC -c $(SRCS) -o $(OBJS)

build-do:: $(PROGRAM)

clean-do::
	rm -f $(OBJS) $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) -rdynamic -o $@

=== debian/changelog ===
libpeerhood (0.1.1-maemo1) unstable; urgency=low

  * Fixed init scripts. Quick dirty fix for checksum - will be upgraded
    to use a better way to generate checksum.
  * Added startup script for upstart.
  * Added default configuration for PeerHood so upstart can start it.
    Default configuration is placed in /etc/default/phconfig

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Tue, 08 Jun 2010 12:22:20 +0300

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	-$(MAKE) clean
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
 endif
@@ -60,14 +60,31 @@
 	dh_installdirs
 
 	#binary
-	install -d $(CURDIR)/debian/libpeerhood-0/usr/bin
-	cp $(CURDIR)/result/bin/peerhoodd $(CURDIR)/debian/libpeerhood-0/usr/bin
+	install -d $(CURDIR)/debian/libpeerhood-0/usr/sbin
+	cp $(CURDIR)/result/bin/peerhoodd $(CURDIR)/debian/libpeerhood-0/usr/sbin
 
 	#library
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib
-	cp $(CURDIR)/result/lib/*.so $(CURDIR)/debian/libpeerhood-0/usr/lib
+	cp $(CURDIR)/result/lib/libpeerhood.so $(CURDIR)/debian/libpeerhood-0/usr/lib
+	
+	#plugins
+	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood
+	cp $(CURDIR)/result/lib/libpeerhood-*.so $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood
 
 	#headers
+	install -d $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
+	cp $(CURDIR)/result/include/peerhood/PeerHood.h $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
+	cp $(CURDIR)/result/include/peerhood/IteratorWrapper.h $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
+
+	#config
+	install -d $(CURDIR)/debian/libpeerhood-0/usr/share/libpeerhood-0
+	cp $(CURDIR)/.phconfig $(CURDIR)/debian/libpeerhood-0/usr/share/libpeerhood-0
+
+	#README
+	install -d $(CURDIR)/debian/libpeerhood-0/usr/share/doc/libpeerhood-0
+	cp $(CURDIR)/debmaterial/README $(CURDIR)/debian/libpeerhood-0/usr/share/doc/libpeerhood-0
+
+	#dev headers
 	install -d $(CURDIR)/debian/libpeerhood-0-dev/usr/include/peerhood
 	cp $(CURDIR)/result/include/peerhood/*.h $(CURDIR)/debian/libpeerhood-0-dev/usr/include/peerhood
 
@@ -94,7 +111,7 @@
 #	dh_installpam
 #	dh_installmime
 #	dh_python
-#	dh_installinit
+	dh_installinit --name=peerhoodd
 #	dh_installcron
 #	dh_installinfo
 	dh_installman

## libpeerhood 0.1.1-maemo2

=== plugin-local/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## plugin-local/ Makefile
## * so library version numbers are forgotten as this phase as peerhood
##   does not have a version yet

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = plugin-local
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
# public includes
INCS = $(wildcard *.h)
PINCS = $(addprefix $(resultincludedir)/,$(INCS))
LDFLAGS = $(PTHREAD.lib)
libname = libpeerhood-local-plugin.so
LIBRARY = $(resultlibdir)/$(libname) 

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules
build-pre:: $(PINCS) 

build-do:: $(LIBRARY)

clean-do::
	rm -f $(OBJS) $(PINCS) $(LIBRARY)

$(LIBRARY): $(OBJS)
	$(MKDIR) $(dir $@)
	$(CXX) $(LDFLAGS) -shared -Wl,-soname,$(libname) -o $@ $(OBJS)

=== proto-client-roam/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## proto-client-roam/ module Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = proto-client-roam
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
LDFLAGS += $(PTHREAD.lib) $(DL.lib) $(PEERHOOD.lib)
PROGRAM = $(resultbindir)/$(MODULE)

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

build-do:: $(PROGRAM)

clean-do::
	rm -f $(OBJS) $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) -rdynamic -o $@

=== debian/changelog ===
libpeerhood (0.1.1-maemo2) unstable; urgency=low

  * Removed headers form non-dev package.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Wed, 09 Jun 2010 11:25:56 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libpeerhood
 Priority: extra
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Maintainer: Jussi Laakkonen <jussi.laakkonen@lut.fi>
+Uploaders: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 5), libbluetooth3-dev, libdbus-glib-1-dev, mce-dev, icd2-osso-ic-dev, maemo-cplusplus-env
 Standards-Version: 3.7.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -71,11 +71,6 @@
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood
 	cp $(CURDIR)/result/lib/libpeerhood-*.so $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood
 
-	#headers
-	install -d $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
-	cp $(CURDIR)/result/include/peerhood/PeerHood.h $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
-	cp $(CURDIR)/result/include/peerhood/IteratorWrapper.h $(CURDIR)/debian/libpeerhood-0/usr/include/peerhood
-
 	#config
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/share/libpeerhood-0
 	cp $(CURDIR)/.phconfig $(CURDIR)/debian/libpeerhood-0/usr/share/libpeerhood-0

## libpeerhood 0.1.1-maemo3

=== proto-service3/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## proto-service3/ module Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = proto-service3
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
LDFLAGS += $(PTHREAD.lib) $(DL.lib) $(PEERHOOD.lib)
PROGRAM = $(resultbindir)/$(MODULE)

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

build-do:: $(PROGRAM)

clean-do::
	rm -f $(OBJS) $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) -rdynamic -o $@

=== debian/changelog ===
libpeerhood (0.1.1-maemo3) unstable; urgency=low

  * Fixed issues with postinst scripts.
  * Fixed issue with 64bit operating systems not being able to use any
    networking plugin which require a interface to be retrieved with
    builtin method.
  * Fixed issue when saving the IP address of a peer inside a plugin
    that utilizes CTCPConnection class objects.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Mon, 02 Aug 2010 16:57:19 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Jussi Laakkonen <jussi.laakkonen@lut.fi>
 Uploaders: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 5), libbluetooth3-dev, libdbus-glib-1-dev, mce-dev, icd2-osso-ic-dev, maemo-cplusplus-env
+Build-Depends: debhelper (>= 5), libbluetooth3-dev, libdbus-glib-1-dev, mce-dev [arm armel], icd2-osso-ic-dev [arm armel], maemo-cplusplus-env [arm armel]
 Standards-Version: 3.7.2
 Section: libs
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=jammo

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	CFLAGS += -O2
 endif
 
+ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+VERSION = $(shell grep MakeCommonDefs.mk -e "version \=" | awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}')
+
 build: build-stamp
 
 build-stamp:
@@ -32,8 +35,12 @@
 	# Add here commands to compile the package.
 	
 
-	$(MAKE) BUILD_ENV=n900
-	#$(MAKE)
+ifneq (,$(findstring armel,$(ARCH)))
+	$(MAKE) BUILD_ENV=n900 LIB_DEBUG=n PH_DEBUG=n DEBUG=n
+else
+	$(MAKE)
+endif
+
 	touch $@
 
 clean:
@@ -65,7 +72,8 @@
 
 	#library
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib
-	cp $(CURDIR)/result/lib/libpeerhood.so $(CURDIR)/debian/libpeerhood-0/usr/lib
+	cp $(CURDIR)/result/lib/libpeerhood.so $(CURDIR)/debian/libpeerhood-0/usr/lib/libpeerhood.so.$(VERSION)
+	ln -s libpeerhood.so.$(VERSION) $(CURDIR)/debian/libpeerhood-0/usr/lib/libpeerhood.so
 	
 	#plugins
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood
@@ -124,3 +132,4 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
+

## libpeerhood 0.1.1-maemo4

=== Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	for i in $(DIRS); do $(MAKE) -C $$i $@ || exit 1; done
 
 ifeq ($(BUILD_DEB_PACKET), y)
-	#@if [ -d $(debdir) ] ; then rm -rf $(debdir) ; fi
+	@if [ -d $(debdir) ] ; then rm -rf $(debdir) ; fi
 	
 	@install -D -s -m 755 `echo $(resultbindir)|cut -d/ -f2,3`/peerhoodd $(debbin)/peerhoodd
 	
@@ -80,11 +80,28 @@
 	
 	@install -D -m 644 $(configfile) $(debshare)/$(configfile)
 	
+	@install -D -m 644 $(debmat)/README $(debdoc)/README
+	@install -D -m 644 $(debmat)/copyright $(debdoc)/copyright
+	@install -D -m 644 $(debmat)/changelog.gz $(debdoc)/changelog.gz
+	
 	@$(MKDIR) $(debman)
 	
-	#@install -D -m 755 $(debmat)/$(debcontrol_postinst) $(debctrl)/postinst
+	@$(MKDIR) $(debctrl)
+	@echo "Source: $(debcontrol_source)" >> $(debctrl)/control
+	@echo "Section: $(debcontrol_section)" >> $(debctrl)/control
+	@echo "Priority: $(debcontrol_priority)" >> $(debctrl)/control
+	@echo "Maintainer: $(debcontrol_maintainer)" >> $(debctrl)/control
+	@echo "Package: $(debcontrol_package)" >> $(debctrl)/control
+	@echo "Architecture: $(debcontrol_architecture)" >> $(debctrl)/control
+	@echo "Version: $(debcontrol_version)" >> $(debctrl)/control
+	@echo "Depends: $(debcontrol_depends)" >> $(debctrl)/control
+	@echo "Description: $(debcontrol_description)" >> $(debctrl)/control
 	
-	#@fakeroot dpkg-deb --build $(debdir) $(debfile)
+	@cat $(debmat)/$(debcontrol_description_add) >> $(debctrl)/control
+	
+	@install -D -m 755 $(debmat)/$(debcontrol_postinst) $(debctrl)/postinst
+	
+	@fakeroot dpkg-deb --build $(debdir) $(debfile)
 endif
 
 clean:
@@ -107,6 +124,8 @@
 	@ldconfig
 	
 	@if [ ! -f /root/$(configfile) ] ; then install -v -m 644 $(configfile) /root/$(configfile) ; fi
+	@if [ ! -f /etc/default/phconfig ] ; then install -v -m 644 $(configfile) /etc/default/phconfig ; fi
+	
 
 check: 
 	for i in $(DIRS); do $(MAKE) -C $$i $@ || exit 1; done

=== plugin-listener-maemo-wlan/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## plugin-listener-maemo-wlan/ Makefile
## * so library version numbers are forgotten at this phase as peerhood
##   does not have a version yet

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = plugin-listener-maemo-wlan
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)

OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
# public includes
INCS = $(wildcard *.h)
PINCS = $(addprefix $(resultincludedir)/,$(INCS))
LDFLAGS = $(PTHREAD.lib)
libname = libpeerhood-listener-maemo-wlan-plugin.so
LIBRARY = $(resultlibdir)/$(libname) 

LDFLAGS += $(DBUS.lib)
CPPFLAGS += `pkg-config --cflags dbus-glib-1`


## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules
build-pre:: $(PINCS) 

build-do:: $(LIBRARY)

clean-do::
	rm -f $(OBJS) $(PINCS) $(LIBRARY)

$(LIBRARY): $(OBJS)
	$(MKDIR) $(dir $@)
	$(CXX) $(LDFLAGS) -shared -Wl,-soname,$(libname) -o $@ $(OBJS)

=== debian/changelog ===
libpeerhood (0.1.1-maemo4) unstable; urgency=low

  * Added: dh_makeshlibs -V

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 03 Aug 2010 21:44:19 +0300

=== debian/rules ===
--- 
+++ 
@@ -123,7 +123,7 @@
 	dh_compress
 	dh_fixperms
 #	dh_perl
-#	dh_makeshlibs
+	dh_makeshlibs -V
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## libpeerhood 0.1.2

=== GPRSgw/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## GPRSgw/ Makefile 

## 1. common defines
include ../MakeCommonDefs.mk

PTHREAD.lib = -lpthread

PEERHOOD.lib = -lpeerhood

DL.lib = -ldl

LDFLAGS += -L$(resultlibdir) $(PTHREAD.lib) $(PEERHOOD.lib) $(DL.lib) 

## 2. own defines
MODULE = GPRSgw
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
PROGRAM = $(resultbindir)/gprsgw


## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

build-do:: $(PROGRAM)

clean-do::
	rm -f $(OBJS) $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CXX) $(LDFLAGS) $(OBJS) -o $@

=== debian/changelog ===
libpeerhood (0.1.2) unstable; urgency=low

  * Added installing of changelogs.
  * Removed "maemo" from version number.
  * Fixed cleaning process when building a debian packet.
  * Fixed possible leak in CPeerHoodImpl when checking for pid files.
  * Changed checking of pid files to use stat().
  * Added uninstall for source makefile.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Wed, 04 Aug 2010 16:53:28 +0300

## libpeerhood 0.1.2-1

=== debian/changelog ===
libpeerhood (0.1.2-1) unstable; urgency=low

  * Symlink to libpeerhood.so is now updated with force.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Mon, 09 Aug 2010 19:17:26 +0300

## libpeerhood 0.1.2-2

=== debian/changelog ===
libpeerhood (0.1.2-2) unstable; urgency=low

  * Fixes for upstart scripts, respawning should work now. Upstart
    supported on Maemo5 only.
  * Fixed a memory leak with socket file descriptors.
  * Install scripts fixed.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Tue, 07 Sep 2010 17:18:14 +0300

## libpeerhood 0.1.2-3

=== plugin-bt/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

# plugin-bt/ Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = plugin-bt
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))

#public includes
INCS = $(wildcard *.h)
PINCS = $(addprefix $(resultincludedir)/,$(INCS))

LDFLAGS += $(PEERHOOD.lib) $(PTHREAD.lib) $(BLUETOOTH.lib)

libname = libpeerhood-bt-plugin.so
LIBRARY = $(resultlibdir)/$(libname) 

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

build-pre:: $(PINCS)

build-do:: $(LIBRARY)

$(LIBRARY): $(OBJS)
	$(MKDIR) $(dir $@)
	$(CXX) $(LDFLAGS) -shared -Wl,-soname,$(libname) -o $@ $(OBJS)

clean-do::
	rm -f $(OBJS) $(LIBRARY) $(PINCS)

=== proto-client-new/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## proto-client-new/ module Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = proto-client-new
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
LDFLAGS += $(PTHREAD.lib) $(DL.lib) $(PEERHOOD.lib)
PROGRAM = $(resultbindir)/$(MODULE)

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

build-do:: $(PROGRAM)

clean-do::
	rm -f $(OBJS) $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) -rdynamic -o $@

=== proto-remote-execution-decision/Makefile ===
## proto-REdecide/ module Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE= proto-REdecide
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
SRCSO = param.cc hot_cube.cc
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
OBJS2 = $(addprefix $(MODULEDIR)/, $(SRCSO:%.cc=%.o))
LDFLAGS += $(PTHREAD.lib) $(DL.lib) $(PEERHOOD.lib) $(BLUETTOTH.lib)
APP = 	proto-REdecide proto-REdecide-server
PROGRAM = $(addprefix $(resultbindir)/,$(APP))

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

build-do:: $(APP)

clean-do::
	rm -f $(OBJS) $(OBJS2) $(PROGRAM) $(APP)

$(APP): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS2) $(MODULEDIR)/$@.o -rdynamic -o $(resultbindir)/$@

all:: $(APP)

=== proto-service4/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## proto-service4/ module Makefile

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = proto-service4
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)
OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
LDFLAGS += $(PTHREAD.lib) $(DL.lib) $(PEERHOOD.lib)
PROGRAM = $(resultbindir)/$(MODULE)

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules

build-do:: $(PROGRAM)

clean-do::
	rm -f $(OBJS) $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) -rdynamic -o $@

=== debian/changelog ===
libpeerhood (0.1.2-3) unstable; urgency=low

  *  This is 0.1.2-1. (-2 was broken)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 14 Sep 2010 13:01:28 +0300

## libpeerhood 0.1.2-4

=== debian/changelog ===
libpeerhood (0.1.2-4) unstable; urgency=low

  *  Removing debug-messages

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 25 Nov 2010 16:04:28 +0300

## libpeerhood 0.1.2-5

=== debian/changelog ===
libpeerhood (0.1.2-5) unstable; urgency=low

  *  Removing more debug-messages (sdt::cout)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 25 Nov 2010 17:49:28 +0300

## libpeerhood 0.1.2-6

=== libpeerhood/Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 $(LIBRARY): $(OBJS)
 	$(MKDIR) $(dir $@)
-	$(CXX) $(LDFLAGS) -shared -Wl,-soname,$(libname) -o $@ $(OBJS)
+	$(CXX) $(LDFLAGS) -shared -Wl,-soname,$(libname).$(version) -o $@ $(OBJS)

=== plugin-listener-bluez-bt/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## plugin-listener-bluez-bt/ Makefile
## * so library version numbers are forgotten at this phase as peerhood
##   does not have a version yet

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = plugin-listener-bluez-bt
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)

OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
# public includes
INCS = $(wildcard *.h)
PINCS = $(addprefix $(resultincludedir)/,$(INCS))
LDFLAGS = $(PTHREAD.lib)
libname = libpeerhood-listener-bluez-bt-plugin.so
LIBRARY = $(resultlibdir)/$(libname) 

LDFLAGS += $(DBUS.lib)
CPPFLAGS += `pkg-config --cflags dbus-glib-1`

PH_BLUEZ = __PH_BLUEZ=
BLUEZVERSION = `pkg-config bluez --modversion`
CPPFLAGS += -D$(PH_BLUEZ)$(BLUEZVERSION)

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules
build-pre:: $(PINCS) 

build-do:: $(LIBRARY)

clean-do::
	rm -f $(OBJS) $(PINCS) $(LIBRARY)

$(LIBRARY): $(OBJS)
	$(MKDIR) $(dir $@)
	$(CXX) $(LDFLAGS) -shared -Wl,-soname,$(libname) -o $@ $(OBJS)

=== plugin-listener-maemo-system/Makefile ===
##   This file is part of PeerHood.
##
##   PeerHood is free software: you can redistribute it and/or modify
##   it under the terms of the GNU Lesser General Public License 
##   version 2 as published by the Free Software Foundation.
##
##   PeerHood is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU Lesser General Public License for more details.
##
##   You should have received a copy of the GNU Lesser General Public
##   License along with PeerHood. If not, see <http://www.gnu.org/licenses/>.
##

## plugin-listener-maemo-system/ Makefile
## * so library version numbers are forgotten at this phase as peerhood
##   does not have a version yet

## 1. common defines
include ../MakeCommonDefs.mk

## 2. own defines
MODULE = plugin-listener-maemo-system
MODULEDIR = $(BUILDDIR)/$(MODULE)
SRCS = $(wildcard *.cc)

OBJS = $(addprefix $(MODULEDIR)/, $(SRCS:%.cc=%.o))
# public includes
INCS = $(wildcard *.h)
PINCS = $(addprefix $(resultincludedir)/,$(INCS))
LDFLAGS = $(PTHREAD.lib)
libname = libpeerhood-listener-maemo-system-plugin.so
LIBRARY = $(resultlibdir)/$(libname) 

LDFLAGS += $(DBUS.lib)
CPPFLAGS += `pkg-config --cflags dbus-glib-1`

#MCEVERSION = $(pkg-config mce --modversion|cut -d. --fields=1,2)

ifeq ($(BUILD_ENV),n900)
CPPFLAGS += -D__PH_MAEMO_N900
endif

## 3. common rules
include ../MakeCommonRules.mk

## 4. own rules
build-pre:: $(PINCS) 

build-do:: $(LIBRARY)

clean-do::
	rm -f $(OBJS) $(PINCS) $(LIBRARY)

$(LIBRARY): $(OBJS)
	$(MKDIR) $(dir $@)
	$(CXX) $(LDFLAGS) -shared -Wl,-soname,$(libname) -o $@ $(OBJS)

=== debian/changelog ===
libpeerhood (0.1.2-6) unstable; urgency=low

  *  Removing one more debug-messaging system (libpeerhood/Logger.cc)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 25 Nov 2010 19:10:28 +0300

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,12 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+ifneq (,$(findstring armel,$(ARCH)))
+	$(MAKE) clean BUILD_ENV=n900
+else
+	$(MAKE) clean
+endif
+
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
 endif
@@ -103,7 +108,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installchangelogs ChangeLog
+	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
 	dh_install --sourcedir=$(CURDIR)/debian/tmp

## libpeerhood 0.1.2-7

=== debian/changelog ===
libpeerhood (0.1.2-7) unstable; urgency=low

  * Fixes for upstart scripts, respawning should work now. Upstart
    supported on Maemo5 only.
  * Fixed a memory leak with socket file descriptors.
  * Install scripts fixed.
  * Debugging messages fixed
  * Re-enabled libpeerhood/Logger.cc - logging disabled at build-phase.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Thu, 17 Feb 2011 12:25:32 +0300
 

=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	#library
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib
 	cp $(CURDIR)/result/lib/libpeerhood.so $(CURDIR)/debian/libpeerhood-0/usr/lib/libpeerhood.so.$(VERSION)
-	ln -s libpeerhood.so.$(VERSION) $(CURDIR)/debian/libpeerhood-0/usr/lib/libpeerhood.so
+	ln -fs libpeerhood.so.$(VERSION) $(CURDIR)/debian/libpeerhood-0/usr/lib/libpeerhood.so
 	
 	#plugins
 	install -d $(CURDIR)/debian/libpeerhood-0/usr/lib/peerhood

## libpeerhood 0.1.2-8

=== Makefile ===
--- 
+++ 
@@ -62,46 +62,7 @@
 	for i in $(DIRS); do $(MAKE) -C $$i $@ || exit 1; done
 
 ifeq ($(BUILD_DEB_PACKET), y)
-	@if [ -d $(debdir) ] ; then rm -rf $(debdir) ; fi
-	
-	@install -D -s -m 755 `echo $(resultbindir)|cut -d/ -f2,3`/peerhoodd $(debbin)/peerhoodd
-	
-	@for instlib in `echo $(resultlibdir)|cut -d/ -f2,3|xargs ls|grep $(libproject)-`; \
-	do install -D -s -m 644 `echo $(resultlibdir)|cut -d/ -f2,3`/$$instlib $(debphlib)/$$instlib ; \
-	done
-	
-	@install -s -m 644 `echo $(resultlibdir)|cut -d/ -f2,3`/$(libproject).so $(deblib)/$(libproject).so.$(version)
-	
-	@ln -fs $(libproject).so.$(version) $(deblib)/$(libproject).so
-	
-	@for instincl in `echo $(resultincludedir)|cut -d/ -f2,3,4|xargs ls`; \
-	do install -D -m 644 `echo $(resultincludedir)|cut -d/ -f2,3,4`/$$instincl $(debinclude)/$$instincl ; \
-	done
-	
-	@install -D -m 644 $(configfile) $(debshare)/$(configfile)
-	
-	@install -D -m 644 $(debmat)/README $(debdoc)/README
-	@install -D -m 644 $(debmat)/copyright $(debdoc)/copyright
-	@install -D -m 644 $(debmat)/changelog.gz $(debdoc)/changelog.gz
-	
-	@$(MKDIR) $(debman)
-	
-	@$(MKDIR) $(debctrl)
-	@echo "Source: $(debcontrol_source)" >> $(debctrl)/control
-	@echo "Section: $(debcontrol_section)" >> $(debctrl)/control
-	@echo "Priority: $(debcontrol_priority)" >> $(debctrl)/control
-	@echo "Maintainer: $(debcontrol_maintainer)" >> $(debctrl)/control
-	@echo "Package: $(debcontrol_package)" >> $(debctrl)/control
-	@echo "Architecture: $(debcontrol_architecture)" >> $(debctrl)/control
-	@echo "Version: $(debcontrol_version)" >> $(debctrl)/control
-	@echo "Depends: $(debcontrol_depends)" >> $(debctrl)/control
-	@echo "Description: $(debcontrol_description)" >> $(debctrl)/control
-	
-	@cat $(debmat)/$(debcontrol_description_add) >> $(debctrl)/control
-	
-	@install -D -m 755 $(debmat)/$(debcontrol_postinst) $(debctrl)/postinst
-	
-	@fakeroot dpkg-deb --build $(debdir) $(debfile)
+	@echo "BUILD_DEB_PACKET=y is obsolete. Create debian packet with: dpkg-buildpackage -rfakeroot -b -d"
 endif
 
 clean:
@@ -126,7 +87,13 @@
 	@if [ ! -f /root/$(configfile) ] ; then install -v -m 644 $(configfile) /root/$(configfile) ; fi
 	@if [ ! -f /etc/default/phconfig ] ; then install -v -m 644 $(configfile) /etc/default/phconfig ; fi
 	
-
+uninstall:
+	@if [ -f $(libdir)/$(libproject).so.$(version) ] ; then rm -v $(libdir)/$(libproject).so.$(version) ; fi
+	@if [ -h $(libdir)/$(libproject).so ] ; then rm -v $(libdir)/$(libproject).so ; fi
+	@if [ -d $(libphdir) ] ; then rm -vrf $(libphdir) ; fi
+	@if [ -f $(bindir)/peerhoodd ] ; then rm -v $(bindir)/peerhoodd ; fi
+	@if [ -d $(includedir) ] ; then rm -vrf $(includedir) ; fi
+	
 check: 
 	for i in $(DIRS); do $(MAKE) -C $$i $@ || exit 1; done

=== debian/changelog ===
libpeerhood (0.1.2-8) unstable; urgency=low

  * Fix to upstart usage in install scripts.
  * Added to check if dbus is running before calling start/stop.

 -- Jussi Laakkonen <jussi.laakkonen@lut.fi>  Fri, 18 Feb 2011 12:30:22 +0300
 
